Subject: ***SPAM*** 70.833 (5) Ever wanted a GIANT ROD? Click here for one.

From: "medo handbury" <[email-masked]>
Date: Fri, 1 Feb 2008 19:25:17 +0100

Total penetration is now assured with your new huge schl0ng.